aboutsummaryrefslogtreecommitdiff
path: root/package/docker-containerd
diff options
context:
space:
mode:
authorGravatar Peter Korsgaard <peter@korsgaard.com>2019-03-03 21:38:45 +0100
committerGravatar Peter Korsgaard <peter@korsgaard.com>2019-03-04 16:25:44 +0100
commitce76a989022baa6395b874ed44b9246bba053f8a (patch)
treeff6bc52a04700af4c9fb10ea703628d46a1e2d33 /package/docker-containerd
parentc0928b7c0e9cb67db0e746c6373bf20ca8aa62f5 (diff)
downloadbuildroot-ce76a989022baa6395b874ed44b9246bba053f8a.tar.gz
buildroot-ce76a989022baa6395b874ed44b9246bba053f8a.tar.bz2
package/runc: blacklist Codesourcery ARM toolchain
Fixes: http://autobuild.buildroot.net/results/018e309caa0fc662aa2993e47b2037fb6c569011/ This toolchain uses glibc 2.18, which does not provide O_TMPFILE support. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'package/docker-containerd')
-rw-r--r--package/docker-containerd/Config.in2
1 files changed, 2 insertions, 0 deletions
diff --git a/package/docker-containerd/Config.in b/package/docker-containerd/Config.in
index 3de3dc6da2..4a4db1cde1 100644
--- a/package/docker-containerd/Config.in
+++ b/package/docker-containerd/Config.in
@@ -5,6 +5,7 @@ config BR2_PACKAGE_DOCKER_CONTAINERD
depends on BR2_TOOLCHAIN_HAS_THREADS
depends on BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_11 # runc
depends on !BR2_TOOLCHAIN_USES_UCLIBC # runc
+ depends on !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_ARM # runc
depends on BR2_USE_MMU # util-linux
select BR2_PACKAGE_RUNC # runtime dependency
select BR2_PACKAGE_UTIL_LINUX # runtime dependency
@@ -35,3 +36,4 @@ comment "docker-containerd needs a glibc or musl toolchain w/ threads"
depends on BR2_USE_MMU
depends on !BR2_TOOLCHAIN_HAS_THREADS || \
!BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_11 || BR2_TOOLCHAIN_USES_UCLIBC
+ depends on !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_ARM